﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Blizzard.Contracts
{
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Property)]
    public class MapperAttribute : Attribute
    {
        public string Table { get; set; }
        public string Field { get; set; }
        public bool IsIdentityColumn { get; set; }
        public string JoinTable { get; set; }
        public bool Composition { get; set; }
        
        /// <summary>
        /// FieldName in JoinTable
        /// </summary>
        public string MyIdField { get; set; }
    }
}
